Subject: bug#28257: 26.0.50; [PATCH] expose eldoc functions in a hook

From: [email-masked]
Date: Sun, 27 Aug 2017 22:49:06 -0400

Mark Oteiza <[email-masked]> writes:

> This makes it possible to use the results from multiple eldoc functions
> at once, through the addition of an abnormal hook.

Last time this came up, there were some objections[1].  I'm not sure
what exactly what you mean by "use the results from multiple eldoc
functions".  Is that something not possible currently?

[1]: http://lists.gnu.org/archive/html/emacs-devel/2016-07/msg00291.html

> I'm not aware of a good way to access the default value (or other local
> values) of eldoc-documentation-function when shadowed by a :before-until
> advice returning non-nil.

Doesn't (default-value 'eldoc-documentation-function) work?

Note also that (cl-prin1 eldoc-documentation-function) will print out a
representation of all the added functions.  It uses some "internal"
advice--* functions, perhaps they should be "externalized"?